export interface DatabaseType {
    text: string;
    databaseType: string;
    driver?: string;
    drivers?: string[];
    url?: string;
    commonly: boolean;
    internal: boolean;
    type: string;
    hasSchema?: boolean;
    hasSchemas?: {
        [key: string]: boolean;
    };
    fetchSize: number;
    versionConfig?: {
        [key: string]: DatabaseType;
    },
    kerberos?: boolean;
    iconUrl?: string;
    versions?: string[];
    urls?: {
        [key: string]: string;
    };
    marker?: string;
}
